For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings


Need to speed up your development?
Have a look at our:

Samples & Tools


Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

how to reuse BRep::Mesh result after shape transformation

Martin Siggel's picture


I am a new OCCT user and have the following problem: I created a TopoDS_Shape and use BRepMesh::Mesh to improve tesselation in visualization mode. When I however transform (rotation, scaling etc...) my shape after meshing and visualize it again, the tesselation is very coarse as if the meshing result is lost. My Code is the following

TopoDS_Shape myshape = ...
BRepMesh::Mesh(myshape, 0.01);
aisContext->Display(myshape); // The shape looks fine now

//now do the transform and visualize again
BRepBuilderAPI_GTransform transformer(myshape, transformMatrix, Standard_False);
myshape = brepBuilderGTransform.Shape();
aisContext->Display(myshape); // The shape looks coarse?!, The meshing is obviously not copied on transform

Please see the attached image to see what I mean. Of course I can do another Meshing after transform. Is it possible to avoid a second meshing? Is there any possibility the reuse the first meshing result?